ru.bitel.bgbilling.modules.megogo.server.bean

## Class MegogoContractTryAndBuyDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<MegogoContractTryAndBuy>
      - - ru.bitel.bgbilling.modules.megogo.server.bean.MegogoContractTryAndBuyDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class MegogoContractTryAndBuyDao
      extends ru.bitel.common.dao.AbstractIdDao<MegogoContractTryAndBuy>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MegogoContractTryAndBuyDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MegogoContractTryAndBuy` | `getContractTBByIdSub(int idSub)` Получить try&buy договора по подписке.
    `java.util.List<MegogoContractTryAndBuy>` | `getContractTBList(int contractId, Period period, int idTB)` Получить список try&buy.
    `protected MegogoContractTryAndBuy` | `getFromRS(java.sql.ResultSet rs)`
    `protected void` | `updateImpl(MegogoContractTryAndBuy contractTB)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MegogoContractTryAndBuyDao

          public MegogoContractTryAndBuyDao(java.sql.Connection con,
                                            int moduleId)

  - ### Method Detail

    - #### getContractTBByIdSub

          public MegogoContractTryAndBuy getContractTBByIdSub(int idSub)
                                                       throws ru.bitel.bgbilling.common.BGException

      Получить try&buy договора по подписке.
      Parameters:
        `idSub` - - код подписки( id таблицы megogo_contract_subscription )
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractTBList

          public java.util.List<MegogoContractTryAndBuy> getContractTBList(int contractId,
                                                                           Period period,
                                                                           int idTB)
                                                                    throws ru.bitel.bgbilling.common.BGException

      Получить список try&buy.
      Parameters:
        `contractId` - - код договова.
        `period` - - за какой период, если null( хоть одна из дат ), то за весь.
        `idTB` - - код Try&Buy( из таблицы megogo_try_and_buy )
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected MegogoContractTryAndBuy getFromRS(java.sql.ResultSet rs)
                                               throws java.sql.SQLException,
                                                      ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<MegogoContractTryAndBuy>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(MegogoContractTryAndBuy contractTB)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<MegogoContractTryAndBuy>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`